#ifndef OCR_H
#define OCR_H

#include <pam.h>
#include <stdint.h>
#include <inttypes.h>
#include <assert.h>
#include <string.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/wait.h>

typedef uint32_t Pixcol;
#define PSPIXCOL(priscan) priscan##32

typedef struct {
  const char *s; /* valid until next call to ocr() */
  int l,r; /* column numbers */
  int ctx; /* match context index */
} OcrResultGlyph;

OcrResultGlyph *ocr(int w, int h, Pixcol cols[]);
  /* return value is array terminated by {0,-1,-1}
   * array is valid until next call to ocr()
   */

void ocr_init(void);

#define eassert assert
#define debug stdout

#endif /*OCR_H*/
